ONVIF::Device::Elements::GetSystemUrisResponse(3)

NAME
ONVIF::Device::Elements::GetSystemUrisResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSystemUrisResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SystemLogUris

     $element->set_SystemLogUris($data);
     $element->get_SystemLogUris();

•   SupportInfoUri

     $element->set_SupportInfoUri($data);
     $element->get_SupportInfoUri();

•   SystemBackupUri

     $element->set_SystemBackupUri($data);
     $element->get_SystemBackupUri();

•   Extension

     $element->set_Extension($data);
     $element->get_Extension();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetSystemUrisResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SystemLogUris =>  { # ONVIF::Device::Types::SystemLogUriList
     SystemLog =>  { # ONVIF::Device::Types::SystemLogUri
       Type => $some_value, # SystemLogType
       Uri =>  $some_value, # anyURI
     },
   },
   SupportInfoUri =>  $some_value, # anyURI
   SystemBackupUri =>  $some_value, # anyURI
   Extension =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL